Get Job Status
GET https://api-sandbox.coinflow.cash/api/merchant/credits/status/{jobId}
Get the status of a mint or burn job
Reference: /api-reference/api-reference/merchant/get-job-status
Authentication
Authorizationheader (required) — The API key of the merchant - see /api-reference/api-reference/authentication/get-session-key
Request
Path parameters
jobId(any, required)
Response
200
Ok
object or object or object- object
status(enum, required)- Allowed values:
pending
- Allowed values:
- object
value(string, required, nullable)status(enum, required)- Allowed values:
completed
- Allowed values:
- object
error(string, required)status(enum, required)- Allowed values:
failed
- Allowed values:
- object
Examples
Response
{
"status": "pending"
}
SDK Code
import requests
url = "https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId"
headers = {"Authorization": "<apiKey>"}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<apiKey>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
require 'uri'
require 'net/http'
url = URI("https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
response = http.request(request)
puts response.read_body
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;
HttpResponse<String> response = Unirest.get("https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId")
.header("Authorization", "<apiKey>")
.asString();
<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId', [
'headers' => [
'Authorization' => '<apiKey>',
],
]);
echo $response->getBody();
using RestSharp;
var client = new RestClient("https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
import Foundation
let headers = ["Authorization": "<apiKey>"]
let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.coinflow.cash/api/merchant/credits/status/:jobId")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error as Any)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()